Subject: sys-apps/calculate-core-3.1.9-r4: /etc/init.d/calculate-core Ð²Ð°Ð»Ð¸Ñ‚Ñ•Ñ• Ð¿Ñ€Ð¸ Ð³ÐµÐ½ÐµÑ€Ð°Ñ†Ð¸Ð¸ ÐºÐ»ÑŽÑ‡ÐµÐ¹ (Ð¿Ñ€Ð¸ Ð¿ÐµÑ€Ð²Ð¾Ð¼ Ð·Ð°Ð¿ÑƒÑ•ÐºÐµ)

Description: ÐŸÑ€Ð¸ Ð¿ÐµÑ€Ð²Ð¾Ð¼ Ð·Ð°Ð¿ÑƒÑ•ÐºÐµ (Ð¿Ñ€Ð¸ Ð·Ð°Ð³Ñ€ÑƒÐ·ÐºÐµ Ñ• LiveCD, Ð¸Ð»Ð¸ Ð¿Ñ€Ð¸ 

Ð¿ÐµÑ€Ð²Ð¾Ð¼ Ð·Ð°Ð¿ÑƒÑ•ÐºÐµ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð»ÐµÐ½Ð½Ð¾Ð¹ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñ‹) 

Ñ•Ð»ÑƒÐ¶Ð±Ñ‹ @calculate-core@, Ð¾Ð½Ð° Ð²Ð°Ð»Ð¸Ñ‚Ñ•Ñ• Ñ•Ð¾ Ñ•Ð»ÐµÐ´ÑƒÑŽÑ‰Ð¸Ð¼Ð¸ 

Ð¾ÑˆÐ¸Ð±ÐºÐ°Ð¼Ð¸:

<pre>

# /etc/init.d/calculate-core start

 * Start calculate core ...

Ð“ÐµÐ½ÐµÑ€Ð°Ñ†Ð¸Ñ• Ñ•ÐµÑ€Ñ‚Ð¸Ñ„Ð¸ÐºÐ°Ñ‚Ð° Ñ•ÐµÑ€Ð²ÐµÑ€Ð°

...............+++

..............................................................................+++

Traceback (most recent call last):

  File "/usr/sbin/cl-core-2.7", line 28, in <module>

    sys.exit(main())

  File "/usr/lib/python2.7/site-packages/calculate/core/server/func.py", line 1664, in wrapper

    return func(*args,**kwargs)

  File "/usr/lib/python2.7/site-packages/calculate/core/server/cl_server.py", line 121, in main

    port, args.bootstrap_user_name)

  File "/usr/lib/python2.7/site-packages/calculate/core/server/bootstrap.py", line 84, in init

    create_server_cert(cert, key, cert_path, args, port)

  File "/usr/lib/python2.7/site-packages/calculate/core/server/bootstrap.py", line 122, in create_server_cert

    cert_cmd.check_server_certificate(cert,key,cert_path,args,port,auto=True)

  File "/usr/lib/python2.7/site-packages/calculate/core/server/cert_cmd.py", line 139, in 

check_server_certificate

    cert = makeCert(req, pkey, name)

  File "/usr/lib/python2.7/site-packages/calculate/core/server/create_cert.py", line 143, in makeCert

    cert.add_ext(X509.new_extension('subjectKeyIdentifier', 'hash'))

  File "/usr/lib/python2.7/site-packages/M2Crypto/X509.py", line 29, in new_extension

    raise ValueError('value must be precomputed hash')

ValueError: value must be precomputed hash                                                                              [ !! ]

 * ERROR: calculate-core failed to start

</pre>



ÐŸÐ¾ÑˆÐ°Ð³Ð¾Ð²Ð¾Ðµ Ð²Ñ‹Ð¿Ð¾Ð»Ð½ÐµÐ½Ð¸Ðµ Ð´ÐµÐ¹Ñ•Ñ‚Ð²Ð¸Ð¹ Ð¸Ð· Ñ•Ñ‚Ð¾Ð³Ð¾ 

Ñ•ÐºÑ€Ð¸Ð¿Ñ‚Ð° Ð·Ð°Ð¿ÑƒÑ•ÐºÐ° Ð¿Ð¾ÐºÐ°Ð·Ñ‹Ð²Ð°ÐµÑ‚, Ñ‡Ñ‚Ð¾ Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ð° Ð½Ð° 

Ñ•Ñ‚Ð°Ð¿Ðµ

*@/usr/sbin/cl-core --bootstrap root@*

History

07/29/2014 04:04 pm - Mikhail Hiretsky

dev-python/m2crypto ÐºÐ°ÐºÐ°Ñ• Ð²ÐµÑ€Ñ•Ð¸Ñ•?

07/29/2014 10:09 pm - ÐœÐ¸Ñ…Ð°Ð¸Ð» Ð“Ð°Ð³Ð°ÑƒÐ·

<pre>

[I] dev-python/m2crypto

     Available versions:  0.21.1-r1[1] 0.21.1-r2^t ~0.22.3-r1^t {doc examples PYTHON_TARGETS="python2_7"}
     Installed versions:  0.21.1-r2^t(02:29:02 26.07.2014)(-doc -examples PYTHON_TARGETS="python2_7")

     Homepage:            http://chandlerproject.org/bin/view/Projects/MeTooCrypto http://pypi.python.org/pypi/M2Crypto

     Description:         M2Crypto: A Python crypto and SSL toolkit



[1] "calculate" /var/lib/layman/calculate

</pre>

07/31/2014 10:14 am - Mikhail Hiretsky

Ð£Ñ‚Ð¸Ð»Ð¸Ñ‚Ñ‹ Ð½Ðµ Ñ€Ð°Ð±Ð¾Ñ‚Ð°ÑŽÑ‚ Ñ• m2crypto Ð±ÐµÐ· Ð¿Ð°Ñ‚Ñ‡Ð° Ð¸Ð· Calculate Ð¾Ð²ÐµÑ€Ð»ÐµÑ•. 

Ð—Ð°Ð¼Ð°Ñ•ÐºÐ¸Ñ€Ð¾Ð²Ð°Ð» 0.21.1-r2.

08/04/2014 02:19 pm - Alexander Tratsevskiy

- Status changed from New to Closed

01/04/2015 05:20 am - ÐœÐ¸Ñ…Ð°Ð¸Ð» Ð“Ð°Ð³Ð°ÑƒÐ·

Ð’ Ð¿Ð¾Ñ€Ñ‚ÐµÐ¶Ð°Ñ… Ð²Ñ‹ÑˆÐµÐ» Ñ•Ð²ÐµÐ¶Ð¸Ð¹ @dev-python/m2crypto@

<pre>

[I] dev-python/m2crypto

     Available versions:  0.21.1-r2^t{tbz2} 0.21.1-r2^t{tbz2}[1] [M]~0.22.3-r2^t {doc examples PYTHON_TARGETS="python2_7"}

     Installed versions:  0.21.1-r2^t{tbz2}[1](00:49:10 04.01.2015)(-doc -examples PYTHON_TARGETS="python2_7")

     Homepage:            http://chandlerproject.org/bin/view/Projects/MeTooCrypto http://pypi.python.org/pypi/M2Crypto

     Description:         M2Crypto: A Python crypto and SSL toolkit



[1] "calculate" /var/lib/layman/calculate

</pre>



Ð’ Ñ•Ð²Ñ•Ð·Ð¸ Ñ• Ñ•Ñ‚Ð¸Ð¼ Ð¿Ñ€Ð¸ Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ð¸ ÑƒÑ•Ñ‚Ð°Ð½Ð°Ð²Ð»Ð¸Ð²Ð°ÐµÑ‚Ñ•Ñ• Ð²ÐµÑ€Ñ•Ð¸Ñ• Ð¸Ð· 

Ð¿Ð¾Ñ€Ñ‚ÐµÐ¶ÐµÐ¹ Ð¸ Ð¿Ð¾Ð²Ñ‚Ð¾Ñ€Ñ•ÐµÑ‚Ñ•Ñ• Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ð° Ð¿Ð¾Ð»ÑƒÐ³Ð¾Ð´Ð¸Ñ‡Ð½Ð¾Ð¹ Ð´Ð°Ð²Ð½Ð¾Ñ•Ñ‚Ð¸.

ÐŸÑ€ÐµÐ´Ð»Ð°Ð³Ð°ÑŽ Ð½ÐµÐ¼Ð½Ð¾Ð³Ð¾ Ð¸Ð·Ð¼ÐµÐ½Ð¸Ñ‚ÑŒ Ð¼Ð°Ñ•ÐºÐ¸Ñ€Ð¾Ð²ÐºÑƒ Ð² Ð¿Ñ€Ð¾Ñ„Ð¸Ð»Ðµ:

<pre><code class="diff">

diff --git a/profiles/base/package.mask b/profiles/base/package.mask

index 1183954..c160f63 100644

--- a/profiles/base/package.mask

+++ b/profiles/base/package.mask

@@ -2,7 +2,7 @@

 >=dev-lang/python-3

 

 # without the patch does not allow to work with certificates correctly

->dev-python/m2crypto-0.21.1-r2

+dev-python/m2crypto::gentoo

 

 # mask portage wgetpaste

 =app-text/wgetpaste-2.22

</code></pre>
